# ifndef MAP_TEST_H
# define MAP_TEST_H

# include "../test/test.h"


/**
 *
 * This class tests the Assignment class.
 */
class MapTest : public TestSuite {
	public:
   		MapTest ();
   		~MapTest ();

	/*
	 * Tests the contains() and numberOfElements() in an empty map.
	 */
	class TestEmptyMap : public Test {
		public:
	        TestEmptyMap();
	        ~TestEmptyMap();
	        bool testEmptyMap();
		protected:
	        bool runTestAfterFork (); };

	/*
	 * Further tests the contains() and numberOfElements().
	 * Tests adding identifiers to the map.
	 */
	class TestQueryAndAdd : public Test {
		public:
	        TestQueryAndAdd();
	        ~TestQueryAndAdd();
	        bool testQueryAndAdd();
		protected:
	        bool runTestAfterFork (); };

	/*
	 * Tests the getValue() function of the Map class.
	 */
	class TestGetValue : public Test {
		public:
	        TestGetValue();
	        ~TestGetValue();
	        bool testGetValue();
		protected:
	        bool runTestAfterFork (); }; };

	

# endif // MAP_TEST_H
