# ifndef PARSER_TEST_H
# define PARSER_TEST_H

# include "../test/test.h"


/**
 *
 * This class tests the Assignment class.
 */
class ParserTest : public TestSuite {
	public:
   		ParserTest ();
   		~ParserTest ();

	class TestParserIdentif : public Test {
		public:
	        TestParserIdentif();
	        ~TestParserIdentif();
	        bool testParserIdentif();
		protected:
	        bool runTestAfterFork (); };

	class TestParserNot : public Test {
		public:
	        TestParserNot();
	        ~TestParserNot();
	        bool testParserNot();
		protected:
	        bool runTestAfterFork (); };

	class TestParserAnd : public Test {
		public:
	        TestParserAnd();
	        ~TestParserAnd();
	        bool testParserAnd();
		protected:
	        bool runTestAfterFork (); };

	class TestParserAndBig : public Test {
		public:
	        TestParserAndBig();
	        ~TestParserAndBig();
	        bool testParserAndBig();
		protected:
	        bool runTestAfterFork (); };

	class TestParserOr : public Test {
		public:
	        TestParserOr();
	        ~TestParserOr();
	        bool testParserOr();
		protected:
	        bool runTestAfterFork (); };

	class TestParserOrBig : public Test {
		public:
	        TestParserOrBig();
	        ~TestParserOrBig();
	        bool testParserOrBig();
		protected:
	        bool runTestAfterFork (); };

	class TestParserImply : public Test {
		public:
	        TestParserImply();
	        ~TestParserImply();
	        bool testParserImply();
		protected:
	        bool runTestAfterFork (); };

	class TestParserSequent : public Test {
		public:
	        TestParserSequent();
	        ~TestParserSequent();
	        bool testParserSequent();
		protected:
	        bool runTestAfterFork (); };

	class TestParserSequentBig : public Test {
		public:
	        TestParserSequentBig();
	        ~TestParserSequentBig();
	        bool testParserSequentBig();
		protected:
	        bool runTestAfterFork (); }; };



# endif // PARSER_TEST_H
