# include "../main/utilities.h"
# include "stack.h"



Stack::Stack() {
	elements = new std::vector<Formula *>(); }



Stack::~Stack() {
	delete elements; }



void Stack::push(Formula *element) {
	elements->push_back(element); }



Formula* Stack::pop() {
	if (elements->size() == 0) return NULL;
	
	Formula *result = (*elements)[elements->size()-1];
	elements->erase(elements->begin()+(elements->size()-1),
		elements->begin()+elements->size());

	return result; }



int Stack::getSize() {
	return elements->size(); }
